using System.ServiceModel;
using Telerik.OpenAccess;

namespace Service
{
  [ServiceContract]
  public interface IService1
  {
    [OperationContract]
    ObjectContainer.ChangeSet GetContactGroups();

    [OperationContract]
    ObjectContainer.ChangeSet GetContacts();

    [OperationContract]
    [FaultContract(typeof(ContactFault))]
    ObjectContainer.ChangeSet SaveContacts(ObjectContainer.ChangeSet changeSet);
  }

}
